Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.serializer
Class ListSerializer

    java.lang.Object
      org.apache.xmlrpc.serializer.TypeSerializerImpl
          org.apache.xmlrpc.serializer.ObjectArraySerializer
              org.apache.xmlrpc.serializer.ListSerializer

All Implemented Interfaces:
  TypeSerializer

    public class ListSerializer

extends ObjectArraySerializer

A `TypeSerializer` for lists.

Field Summary

Fields inherited from class org.apache.xmlrpc.serializer.ObjectArraySerializer
`ARRAY_TAG, DATA_TAG`

Fields inherited from class org.apache.xmlrpc.serializer.TypeSerializerImpl
`VALUE_TAG, ZERO_ATTRIBUTES`

Constructor Summary
`ListSerializer(TypeFactory pTypeFactory, XmlRpcStreamConfig pConfig)` Creates a new instance.

Method Summary
`protected void` | `writeData(org.xml.sax.ContentHandler pHandler, java.lang.Object pObject)`

Methods inherited from class org.apache.xmlrpc.serializer.ObjectArraySerializer
`write, writeObject`

Methods inherited from class org.apache.xmlrpc.serializer.TypeSerializerImpl
`write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListSerializer

    public ListSerializer(TypeFactory pTypeFactory,
                          XmlRpcStreamConfig pConfig)

  Creates a new instance.

  Parameters:
    `pTypeFactory` - The factory being used for creating serializers.
    `pConfig` - The configuration being used for creating serializers.

Method Detail

### writeData

    protected void writeData(org.xml.sax.ContentHandler pHandler,
                             java.lang.Object pObject)
                      throws org.xml.sax.SAXException

  Overrides:
    `writeData` in class `ObjectArraySerializer`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.